std::_Base_bitset< _Nw >(3cxx)

NAME
std::_Base_bitset< _Nw >

SYNOPSIS

#include <bitset>

  Public Types

typedef unsigned long _WordT

  Public Member Functions

constexpr _Base_bitset (unsigned long long __val) noexcept
template<size_t _Nb> bool _M_are_all () const noexcept
void _M_do_and (const _Base_bitset< _Nw > &__x) noexcept
size_t _M_do_count () const noexcept
size_t _M_do_find_first (size_t) const noexcept
size_t _M_do_find_next (size_t, size_t) const noexcept
void _M_do_flip () noexcept
void _M_do_left_shift (size_t __shift) noexcept
void _M_do_or (const _Base_bitset< _Nw > &__x) noexcept
void _M_do_reset () noexcept
void _M_do_right_shift (size_t __shift) noexcept
void _M_do_set () noexcept
unsigned long long _M_do_to_ullong () const
unsigned long _M_do_to_ulong () const
void _M_do_xor (const _Base_bitset< _Nw > &__x) noexcept
const _WordT * _M_getdata () const noexcept
constexpr _WordT _M_getword (size_t __pos) const noexcept
_WordT & _M_getword (size_t __pos) noexcept
constexpr _WordT _M_hiword () const noexcept
_WordT & _M_hiword () noexcept
bool _M_is_any () const noexcept
bool _M_is_equal (const _Base_bitset< _Nw > &__x) const noexcept

  Static Public Member Functions

static constexpr _WordT _S_maskbit (size_t __pos) noexcept
static constexpr size_t _S_whichbit (size_t __pos) noexcept
static constexpr size_t _S_whichbyte (size_t __pos) noexcept
static constexpr size_t _S_whichword (size_t __pos) noexcept

  Public Attributes

_WordT _M_w [_Nw]
0 is the least significant word.

Detailed Description

  template<size_t _Nw>
struct std::_Base_bitset< _Nw >"Base class, general case. It is a class invariant that _Nw will be nonnegative.

See documentation for bitset.

Definition at line 75 of file bitset.

Member Typedef Documentation

  template<size_t _Nw> typedef unsigned long std::_Base_bitset< _Nw >::_WordT

Definition at line 77 of file bitset.

Constructor & Destructor Documentation

  template<size_t _Nw> constexpr std::_Base_bitset< _Nw >::_Base_bitset () [inline], [constexpr], [noexcept]

Definition at line 82 of file bitset.

  template<size_t _Nw> constexpr std::_Base_bitset< _Nw >::_Base_bitset (unsigned long long __val) [inline], [constexpr], [noexcept]

Definition at line 86 of file bitset.

Member Function Documentation

  template<size_t _Nw> template<size_t _Nb> bool std::_Base_bitset< _Nw >::_M_are_all () const [inline], [noexcept]

Definition at line 192 of file bitset.

  template<size_t _Nw> void std::_Base_bitset< _Nw >::_M_do_and (const _Base_bitset< _Nw > & __x) [inline], [noexcept]

Definition at line 137 of file bitset.

  template<size_t _Nw> size_t std::_Base_bitset< _Nw >::_M_do_count () const [inline], [noexcept]

Definition at line 212 of file bitset.

  template<size_t _Nw> size_t std::_Base_bitset< _Nw >::_M_do_find_first (size_t __not_found) const [noexcept]

Definition at line 320 of file bitset.

  template<size_t _Nw> size_t std::_Base_bitset< _Nw >::_M_do_find_next (size_t __prev, size_t __not_found) const [noexcept]

Definition at line 336 of file bitset.

  template<size_t _Nw> void std::_Base_bitset< _Nw >::_M_do_flip () [inline], [noexcept]

Definition at line 164 of file bitset.

  template<size_t _Nw> void std::_Base_bitset< _Nw >::_M_do_left_shift (size_t __shift) [noexcept]

Definition at line 240 of file bitset.

  template<size_t _Nw> void std::_Base_bitset< _Nw >::_M_do_or (const _Base_bitset< _Nw > & __x) [inline], [noexcept]

Definition at line 144 of file bitset.

  template<size_t _Nw> void std::_Base_bitset< _Nw >::_M_do_reset () [inline], [noexcept]

Definition at line 178 of file bitset.

  template<size_t _Nw> void std::_Base_bitset< _Nw >::_M_do_right_shift (size_t __shift) [noexcept]

Definition at line 266 of file bitset.

  template<size_t _Nw> void std::_Base_bitset< _Nw >::_M_do_set () [inline], [noexcept]

Definition at line 171 of file bitset.

  template<size_t _Nw> unsigned long long std::_Base_bitset< _Nw >::_M_do_to_ullong () const

Definition at line 304 of file bitset.

  template<size_t _Nw> unsigned long std::_Base_bitset< _Nw >::_M_do_to_ulong () const

Definition at line 293 of file bitset.

  template<size_t _Nw> void std::_Base_bitset< _Nw >::_M_do_xor (const _Base_bitset< _Nw > & __x) [inline], [noexcept]

Definition at line 151 of file bitset.

  template<size_t _Nw> const _WordT * std::_Base_bitset< _Nw >::_M_getdata () const [inline], [noexcept]

Definition at line 124 of file bitset.

  template<size_t _Nw> constexpr _WordT std::_Base_bitset< _Nw >::_M_getword (size_t __pos) const [inline], [constexpr], [noexcept]

Definition at line 119 of file bitset.

  template<size_t _Nw> _WordT & std::_Base_bitset< _Nw >::_M_getword (size_t __pos) [inline], [noexcept]

Definition at line 115 of file bitset.

  template<size_t _Nw> constexpr _WordT std::_Base_bitset< _Nw >::_M_hiword () const [inline], [constexpr], [noexcept]

Definition at line 133 of file bitset.

  template<size_t _Nw> _WordT & std::_Base_bitset< _Nw >::_M_hiword () [inline], [noexcept]

Definition at line 129 of file bitset.

  template<size_t _Nw> bool std::_Base_bitset< _Nw >::_M_is_any () const [inline], [noexcept]

Definition at line 203 of file bitset.

  template<size_t _Nw> bool std::_Base_bitset< _Nw >::_M_is_equal (const _Base_bitset< _Nw > & __x) const [inline], [noexcept]

Definition at line 182 of file bitset.

  template<size_t _Nw> static constexpr _WordT std::_Base_bitset< _Nw >::_S_maskbit (size_t __pos) [inline], [static], [constexpr], [noexcept]

Definition at line 111 of file bitset.

  template<size_t _Nw> static constexpr size_t std::_Base_bitset< _Nw >::_S_whichbit (size_t __pos) [inline], [static], [constexpr], [noexcept]

Definition at line 107 of file bitset.

  template<size_t _Nw> static constexpr size_t std::_Base_bitset< _Nw >::_S_whichbyte (size_t __pos) [inline], [static], [constexpr], [noexcept]

Definition at line 103 of file bitset.

  template<size_t _Nw> static constexpr size_t std::_Base_bitset< _Nw >::_S_whichword (size_t __pos) [inline], [static], [constexpr], [noexcept]

Definition at line 99 of file bitset.

Member Data Documentation

  template<size_t _Nw> _WordT std::_Base_bitset< _Nw >::_M_w[_Nw]

0 is the least significant word.

Definition at line 80 of file bitset.

Author

Generated automatically by Doxygen for libstdc++ from the source code.